Subject: Re: bug#44666: 28.0.50; malloc-info: Emacs became not responsive, using hard disk all time

From: Eli Zaretskii <[email-masked]>
Date: Tue, 17 Nov 2020 17:04:08 +0200

> Date: Mon, 16 Nov 2020 19:17:35 +0300
> From: Jean Louis <[email-masked]>
> Cc: [email-masked]
> 
> * Eli Zaretskii <[email-masked]> [2020-11-16 19:12]:
> > > From: Jean Louis <[email-masked]>
> > > Date: Sun, 15 Nov 2020 17:55:09 +0300
> > > 
> > > Sun Nov 15 12:38:28 EAT 2020
> > > <malloc version="1">
> > > <heap nr="0">
> > > <sizes>
> > > 							        <size from="49" to="49" total="49" count="1"/>
> > >   <unsorted from="257" to="257" total="257" count="1"/>
> > > </sizes>
> > > <total type="fast" count="0" size="0"/>
> > > <total type="rest" count="2" size="306"/>
> > > <system type="current" size="11470942208"/>
> > > <system type="max" size="11470942208"/>
> > > <aspace type="total" size="11470942208"/>
> > > <aspace type="mprotect" size="11470942208"/>
> > > </heap>
> > 
> > This basically says you have 11GB in the heap, but there are no
> > details.  So I'm not sure how this could help us make any progress.
> 
> I was thinking that command would tell you something.

It tells something, I just don't yet know what that is.

> If there is nothing to be done with this bug, we can close.

No, closing is premature.  I've merged this bug with 3 other similar
ones, and we are discussing this issue with glibc malloc experts.